Debian Bug report logs - #697404
ITP: libnxt -- Simple command-line tool for Lego NXT

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Slavko <linux@slavino.sk>

Date: Fri, 4 Jan 2013 21:24:14 UTC

Owned by: Slavko <linux@slavino.sk>

Severity: wishlist

Fixed in version libnxt/0.3-1

Done: Slavko <linux@slavino.sk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#697404; Package wnpp. (Fri, 04 Jan 2013 21:24:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Slavko <linux@slavino.sk>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Fri, 04 Jan 2013 21:24:17 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Slavko <linux@slavino.sk>
To: submit@bugs.debian.org
Subject: ITP: libnxt -- Simple command-line tool for Lego NXT
Date: Fri, 4 Jan 2013 21:49:43 +0100
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: wishlist
X-Debbugs-CC: debian-devel@lists.debian.org

   Package name: libnxt
        Version: 0.3
Upstream Author: David Anderson <david.anderson@calixo.net>
            URL: http://code.google.com/p/libnxt/
        License: GPL
    Description:

LibNXT is an utility library for talking to the LEGO Mindstorms NXT
intelligent brick at a relatively low level. It currently does:

 * Handling USB communication and locating the NXT in the USB tree
 * Interaction with the Atmel AT91SAM boot assistant
 * Flashing of a firmware image to the NXT
 * Execution of code directly in RAM.

The package provides two binary files:

 * fwexec to upload image file to NXT brick and then execute it
 * fwflash to flash firmware image to NXT brick

regards

-- 
Slavko
http://slavino.sk
[signature.asc (application/pgp-signature, attachment)]

Owner recorded as Slavko <linux@slavino.sk>. Request was from Bart Martens <bartm@quantz.debian.org> to control@bugs.debian.org. (Sat, 05 Jan 2013 04:24:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Slavko <linux@slavino.sk>:
Bug#697404; Package wnpp. (Sat, 05 Jan 2013 12:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to shawnlandden@gmail.com:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Slavko <linux@slavino.sk>. (Sat, 05 Jan 2013 12:48:03 GMT) Full text and rfc822 format available.

Message #12 received at submit@bugs.debian.org (full text, mbox):

From: shawnlandden@gmail.com
To: Slavko <linux@slavino.sk>,697404@bugs.debian.org,Slavko <linux@slavino.sk>,submit@bugs.debian.org
Subject: Re: Bug#697404: ITP: libnxt -- Simple command-line tool for Lego NXT
Date: Sat, 05 Jan 2013 04:45:58 -0800

Slavko <linux@slavino.sk> wrote
>   Package name: libnxt
>        Version: 0.3
>Upstream Author: David Anderson <david.anderson@calixo.net>
>            URL: http://code.google.com/p/libnxt/
>        License: GPL
>LibNXT is an utility library for talking to the LEGO Mindstorms NXT
>intelligent brick at a relatively low level. It currently does:

>The package provides two binary files:
>
> * fwexec to upload image file to NXT brick and then execute it
> * fwflash to flash firmware image to NXT brick
>
Are you sure no other programs out there use these binary names in the path? These seem far too general for a program that only flashes NXT bricks

-- 
Sent from my Android phone with K-9 Mail. Please excuse my brevity.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Slavko <linux@slavino.sk>:
Bug#697404; Package wnpp. (Sat, 05 Jan 2013 12:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to shawnlandden@gmail.com:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Slavko <linux@slavino.sk>. (Sat, 05 Jan 2013 12:48:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#697404; Package wnpp. (Sat, 05 Jan 2013 15:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Slavko <linux@slavino.sk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 05 Jan 2013 15:54:05 GMT) Full text and rfc822 format available.

Message #22 received at 697404@bugs.debian.org (full text, mbox):

From: Slavko <linux@slavino.sk>
To: shawnlandden@gmail.com
Cc: 697404@bugs.debian.org
Subject: Re: Bug#697404: ITP: libnxt -- Simple command-line tool for Lego NXT
Date: Sat, 5 Jan 2013 16:14:23 +0100
[Message part 1 (text/plain, inline)]
Hi,

Dňa Sat, 05 Jan 2013 04:45:58 -0800 shawnlandden@gmail.com napísal:

> >The package provides two binary files:
> >
> > * fwexec to upload image file to NXT brick and then execute it
> > * fwflash to flash firmware image to NXT brick
> >
> Are you sure no other programs out there use these binary names in
> the path? These seem far too general for a program that only flashes
> NXT bricks

In general, i am not sure about nothing, but the apt-file search
returns nothing else (on the testing) for the fwexec, nor for fwflash.

regards

-- 
Slavko
http://slavino.sk
[signature.asc (application/pgp-signature, attachment)]

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sun, 13 Jan 2013 04:27:03 GMT) Full text and rfc822 format available.

Reply sent to Slavko <linux@slavino.sk>:
You have taken responsibility. (Thu, 04 Apr 2013 12:03:13 GMT) Full text and rfc822 format available.

Notification sent to Slavko <linux@slavino.sk>:
Bug acknowledged by developer. (Thu, 04 Apr 2013 12:03:13 GMT) Full text and rfc822 format available.

Message #29 received at 697404-close@bugs.debian.org (full text, mbox):

From: Slavko <linux@slavino.sk>
To: 697404-close@bugs.debian.org
Subject: Bug#697404: fixed in libnxt 0.3-1
Date: Thu, 04 Apr 2013 12:00:08 +0000
Source: libnxt
Source-Version: 0.3-1

We believe that the bug you reported is fixed in the latest version of
libnxt, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 697404@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Slavko <linux@slavino.sk> (supplier of updated libnxt package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 11 Jan 2013 15:48:07 +0100
Source: libnxt
Binary: libnxt
Architecture: source i386
Version: 0.3-1
Distribution: unstable
Urgency: low
Maintainer: Slavko <linux@slavino.sk>
Changed-By: Slavko <linux@slavino.sk>
Description: 
 libnxt     - utility library for talking to the LEGO Mindstorms NXT brick
Closes: 697404
Changes: 
 libnxt (0.3-1) unstable; urgency=low
 .
   * Initial release (Closes: #697404)
   * Upload sponsored by Petter Reinholdtsen.
Checksums-Sha1: 
 e5d82ce3c2f83152f0ffb2ec94dbd3ba12b8aabe 1054 libnxt_0.3-1.dsc
 b841b74a7fdc4fde2a0e922e07fc599e63532893 16247 libnxt_0.3.orig.tar.gz
 42dfb2634c1b4ea6621ac4e45eb6cc777ff9de50 3805 libnxt_0.3-1.debian.tar.gz
 e4fa71e42b7ceabc4f0be8b293ff3a26852dad80 14908 libnxt_0.3-1_i386.deb
Checksums-Sha256: 
 ce648bc1dbb3a3cb3056cbe286d484e7fe8366f22bb47c6f48a6c60736fabd97 1054 libnxt_0.3-1.dsc
 fe310cb917ec69d4e20f9d70ef96d9eec51d0434a8a3580c8a6615488526f8cf 16247 libnxt_0.3.orig.tar.gz
 251f4ab726c99a5690c8c87b248291b2dee5f3251c8944a508ce131257420d52 3805 libnxt_0.3-1.debian.tar.gz
 078364c447b20958bd19f1921dd03f8bbf22aa94d46453300d4ad48acf2dc5cd 14908 libnxt_0.3-1_i386.deb
Files: 
 bee5ed47880e23e0446bac6e874c9a88 1054 electronics extra libnxt_0.3-1.dsc
 05be5f5b8822f10e4fc4e1dea7d5e770 16247 electronics extra libnxt_0.3.orig.tar.gz
 4bc2cafd45766e3a1d4a471a8c57e7c5 3805 electronics extra libnxt_0.3-1.debian.tar.gz
 e99b92154710123534ff01672cb301da 14908 electronics extra libnxt_0.3-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFQ8ePt20zMSyow1ykRAu1/AJ9Mljpbj4/Hc3X65hE2VumS65y9swCg5q0W
dMfGM8VxN2vx3qMNMXMXMPY=
=J6Pg
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 03 May 2013 07:26:23 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 03:02:39 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.